#import <AppKit/NSBitmapImageRep.h>
#import <AppKit/NSOpenPanel.h>
#import <AppKit/NSSavePanel.h>
#import <AppKit/NSView.h>
#import <AppKit/NSButton.h>
#import "funcs.h"

#define ROUND(r) ((r) >= 0.0) ? ((int)(r + 0.5)) : ((int)(r - 0.5))

@interface RadonView:NSView
{
    /* Outlets */
    id colorizeFlag;
    RadonView *viewB;

    /* Vars */
    NSBitmapImageRep *bitmap;
    int nx,ny,maxz;
    float **imageData;
    float **filterData;
    float **transformData;
    NSOpenPanel *openPanel;
    NSSavePanel *savePanel;
    unsigned char heatred[256],heatgreen[256],heatblue[256];
}

- initWithFrame:(NSRect)frameRect;
- openImage:sender;
- saveOutput:sender;
- project:sender;
- backProject:sender;
- colorize:(unsigned char *)redLUT :(unsigned char *)greenLUT :(unsigned char *)blueLUT;

- openFile:(NSString *)fileName;
- (void)setBitmap:(NSBitmapImageRep *)newBitmap;
- (NSBitmapImageRep *)bitmap;
- (void)drawRect:(NSRect)rect;
- (void)filter;


@end

